# DataValidator

`DataValidator` is a simple, lightweight Python library for validating various types of data. This library aims to provide easy-to-use validation methods for strings, numbers, emails, dates, lists, and dictionaries.

## Features

- **String Validation**: Validate strings with minimum and maximum length, and optional regex patterns.
- **Number Validation**: Validate numbers with constraints like minimum and maximum values, integer check, positive or negative checks.
- **Email Validation**: Validate email addresses with a regex pattern.
- **Date Validation**: Validate date strings with a specified format.
- **List Validation**: Validate lists with minimum and maximum lengths and element type checks.
- **Dictionary Validation**: Validate dictionaries with required keys and key type checks.

## Installation

You can install `DataValidator` using `pip`. Note that this example assumes the library is published on PyPI.

```sh
pip install LegacyDataValidator
